using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace CodeCommander
{
    public partial class Projects : Form
    {
        public Projects()
        {
            InitializeComponent();
        }

        private void Projects_Load(object sender, EventArgs e)
        {
            this.web.Navigate(Documents.TempDirectory + "project.htm");
        }

        internal void Compilation(string fileName)
        {
            o2Mate.Compilateur comp = new o2Mate.Compilateur();
            comp.LoadTemplates(Documents.TemplatesDirectory);
            comp.LoadSkeletons(Documents.SkeletonsDirectory);
            o2Mate.Dictionnaire dict = comp.OutputDictionary(fileName);
            dict.Save(Documents.TempDirectory + "dict.xml");
            // le fichier de sortie n'est pas important
            comp.Compilation(fileName, Documents.TempDirectory + "dict.xml", Documents.TempDirectory + "result.tmp", null);
            o2Mate.Compilateur compProject = new o2Mate.Compilateur();
            compProject.LoadTemplates(Documents.TemplatesDirectory);
            o2Mate.Dictionnaire dictProject = o2Mate.CreateProject.Compilation(comp.Threads);
            dictProject.Save(Documents.TempDirectory + "dict.xml");
            compProject.Compilation(Documents.ProjectPage, Documents.TempDirectory + "dict.xml", Documents.TempDirectory + "project.htm", null);
        }
    }
}