using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.InteropServices;

namespace o2Mate
{
    [Guid("36CCA00B-F9F6-486e-A39F-B00875F1E3AC")]
    [CoClass(typeof(IChaine))]
    [InterfaceType(ComInterfaceType.InterfaceIsIDispatch)]
    public interface IChaine
    {
        string Value { get; set; }
    }

    [ClassInterface(ClassInterfaceType.None)]
    public class Chaine : IChaine
    {
        #region Private Fields
        private string value;
        #endregion

        #region Default Constructor
        public Chaine()
        {
            this.value = "";
        }
        #endregion

        #region IChaine Membres

        public string Value
        {
            get
            {
                return this.value;
            }
            set
            {
                this.value = value;
            }
        }

        #endregion
    }
}
