using System;
using System.Collections.Generic;
using System.Text;

namespace o2Mate
{
    public class Reference : IData
    {
        #region Private Fields
        private string name;
        private string value;
        private string belongsTo;
        private string realName;
        #endregion

        #region Default Constructor
        public Reference(string belongsTo)
        {
            this.name = "";
            this.value = "0";
            this.belongsTo = belongsTo;
        }
        #endregion

        #region IData Membres

        public string Name
        {
            get
            {
                return this.name;
            }
            set
            {
                this.name = value;
            }
        }

        public bool IsSeparator
        {
            get { return false; }
        }

        public string ValueString
        {
            get { return this.value; }
        }

        public int ValueInt
        {
            get { return 0; }
        }

        public string Value
        {
            set { this.value = value; }
        }

        public string BelongsTo
        {
            get
            {
                return this.belongsTo;
            }
            set
            {
                this.belongsTo = value;
            }
        }

        public string RealName
        {
            get
            {
                if (String.IsNullOrEmpty(this.realName))
                {
                    return this.name;
                }
                else
                {
                    return this.realName;
                }
            }
            set { this.realName = value; }
        }

        #endregion
    }
}
