using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.VisualBasic.FileIO;

namespace CodeCommander
{
    public class Documents
    {
        public static string OutilsDirectory
        {
            get { return Documents.EditeurDirectory + "outils\\"; }
        }

        public static string OutilSearchTemplate
        {
            get { return Documents.OutilsDirectory + "outil_search_template.xml"; }
        }

        public static string OutilSearchSyntax
        {
            get { return Documents.OutilsDirectory + "outil_search_syntax.xml"; }
        }

        public static string OutilCutter
        {
            get { return Documents.OutilsDirectory + "outil_pastestore.xml"; }
        }

        public static string SearchResult
        {
            get { return Documents.TempDirectory + "searchResult.txt"; }
        }

        public static string OutilsVBSXML
        {
            get { return Documents.EditeurDirectory + "outils.vbs.xml"; }
        }

        public static string EditorPageXML
        {
            get { return Documents.EditeurDirectory + "editeur.xml"; }
        }

        public static string OutilsVBS
        {
            get { return Documents.EditeurDirectory + "outils.vbs"; }
        }

        public static string LocalesVBSXML
        {
            get { return Documents.EditeurDirectory + "locales.vbs.xml"; }
        }

        public static string LocalesVBS
        {
            get { return Documents.EditeurDirectory + "locales.vbs"; }
        }

        public static string DictionaryTemplate
        {
            get { return Documents.TempDirectory + "dictTemplates.xml"; }
        }

        public static string DictionarySyntax
        {
            get { return Documents.TempDirectory + "dictSyntax.xml"; }
        }

        public static string LocalizationPage
        {
            get { return Documents.EditeurDirectory + "locales.htm"; }
        }

        public static string EditorPage
        {
            get { return Documents.EditeurDirectory + "editeur.htm"; }
        }

        public static string ProjectPage
        {
            get { return Documents.EditeurDirectory + "project.xml"; }
        }

        public static string ReadOnlyViewPage
        {
            get { return Documents.EditeurDirectory + "viewTemplate.htm"; }
        }

        public static string BienvenuePage
        {
            get { return Documents.GeneratedDictionariesDirectory + "bienvenue.xml"; }
        }

        public static string ExecutePage
        {
            get { return Documents.GeneratedDictionariesDirectory + "execute.xml"; }
        }

        public static string SaisieLibrePage
        {
            get { return Documents.GeneratedDictionariesDirectory + "saisieLibre.xml"; }
        }

        public static string SaisieTableauPage
        {
            get { return Documents.GeneratedDictionariesDirectory + "saisieTableau.xml"; }
        }

        public static string SaisieChampsPage
        {
            get { return Documents.GeneratedDictionariesDirectory + "saisieChamps.xml"; }
        }

        public static string VideoPage
        {
            get { return Documents.EditeurDirectory + "videoHotspot.htm"; }
        }

        public static string ImageTabUp
        {
            get { return "\\tabUp.png"; }
        }

        public static string ImageTabDown
        {
            get { return "\\tabDown.png"; } 
        }

        public static string ImageEdit
        {
            get { return "\\lsc_edit.png"; }
        }

        public static string ImageAdd
        {
            get { return "\\Button-Add-Icon.png"; } 
        }

        public static string GeneratedDictionariesDirectory
        {
            get { return Documents.EditeurDirectory + "dicts\\"; }
        }

        public static string GeneratedDictionariesTemplatesDirectory
        {
            get { return Documents.GeneratedDictionariesDirectory + "templates\\"; }
        }

        public static string EditeurDirectory
        {
            get { return AppDomain.CurrentDomain.BaseDirectory + "Editeur\\"; }
        }

        public static string TemplatesDirectory
        {
            get { return Documents.CodeCommanderDirectory + "templates\\"; }
        }

        public static string SrcTemplatesDirectory
        {
            get { return AppDomain.CurrentDomain.BaseDirectory + "templates\\"; }
        }

        public static string CodeCommanderDirectory
        {
            get { return SpecialDirectories.MyDocuments + "\\CodeCommander\\"; }
        }

        public static string DictionariesDirectory
        {
            get { return Documents.CodeCommanderDirectory + "dicts\\"; }
        }

        public static string ExamplesDirectory
        {
            get { return AppDomain.CurrentDomain.BaseDirectory + "sources\\"; }
        }

        public static string SourcesDirectory
        {
            get { return Documents.CodeCommanderDirectory + "sources\\"; }
        }

        public static string SkeletonsDirectory
        {
            get { return Documents.CodeCommanderDirectory + "skeletons\\"; }
        }

        public static string SrcSkeletonsDirectory
        {
            get { return AppDomain.CurrentDomain.BaseDirectory + "skeletons\\"; }
        }

        public static string SyntaxDirectory
        {
            get { return Documents.CodeCommanderDirectory + "syntax\\"; }
        }

        public static string SrcSyntaxDirectory
        {
            get { return AppDomain.CurrentDomain.BaseDirectory + "syntax\\"; }
        }

        public static string BuildDirectory
        {
            get { return Documents.CodeCommanderDirectory + "files\\"; }
        }

        public static string TempDirectory
        {
            get { return Documents.CodeCommanderDirectory + "temp\\"; }
        }

        public static string LocalesDirectory
        {
            get { return Documents.CodeCommanderDirectory + "locales\\"; }
        }

        public static string SrcLocalesDirectory
        {
            get { return AppDomain.CurrentDomain.BaseDirectory + "locales\\"; }
        }
    }
}
